<?php

namespace FiloBlu\Hotfix\Plugin;

use Magento\Framework\App\Request\Http;

/**
 * Class SkipDeleteItem
 * @package FiloBlu\Hotfix\Plugin
 */
class SkipDeleteItem
{
    /**
     * @var Http
     */
    protected $request;

    /**
     * SkipDeleteItem constructor.
     * @param Http $request
     */
    public function __construct(
        Http $request
    )
    {
        $this->request = $request;
    }

    /**
     * @param $subject
     * @param $result
     * @return bool
     */
    public function afterValidateMinimumAmount($subject, $result)
    {
        $actionName = $this->request->getActionName();
        if ($actionName === 'delete' || $actionName === 'removeItem') {
            return true;
        }
        return $result;
    }
}
